summaryrefslogtreecommitdiff
path: root/git/pre-commit.d/30store-metadata
diff options
context:
space:
mode:
Diffstat (limited to 'git/pre-commit.d/30store-metadata')
-rw-r--r--git/pre-commit.d/30store-metadata18
1 files changed, 18 insertions, 0 deletions
diff --git a/git/pre-commit.d/30store-metadata b/git/pre-commit.d/30store-metadata
new file mode 100644
index 0000000..b878abd
--- /dev/null
+++ b/git/pre-commit.d/30store-metadata
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+# Make sure the file is not readable by others, since it can leak
+# information about contents of non-readable directories in /etc.
+umask 077
+
+# ensure the file exists so that it will list its own metadata
+if [ ! -e .metadata ]; then
+ metastore --save
+fi
+
+# metastore doesn't produce the same output file for the same metadata
+# everytime, so avoid changing the file if nothing really changed.
+if [ ! -z "$(metastore --compare)" ]; then
+ metastore --save
+ git add .metadata
+fi